Skip to main content
POST
/
api
/
v1
/
license
create entity
curl --request POST \
  --url https://api.example.com/api/v1/license \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "version": "<string>",
  "status": "ACTIVE",
  "icon": "<string>",
  "params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
  "groupScript": "<string>",
  "scoreScript": "<string>"
}
'
{
  "name": "<string>",
  "version": "<string>",
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "icon": "<string>",
  "scoreGroups": [
    {
      "id": 1,
      "createdAt": 123,
      "updatedAt": 123,
      "status": "ACTIVE",
      "name": "<string>",
      "title": "<string>",
      "description": "<string>"
    }
  ],
  "params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
  "groupScript": "<string>",
  "scoreScript": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
name
string
required

Name of the license

version
string
required

Version of the license

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
icon
string

License icon

params
object

License dynamic params.

Example:

"{ \"\"minScore\": 0, \"maxScore\": 1 }"

groupScript
string

Groovy script that calculates scoring groups for score change under this license

scoreScript
string

Groovy script that calculates score change value for score change under this license

Response

200 - application/json

OK

name
string
required

Name of the license

version
string
required

Version of the license

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
icon
string

License icon

scoreGroups
object[]

Score groups related to current license

params
object

License dynamic params.

Example:

"{ \"\"minScore\": 0, \"maxScore\": 1 }"

groupScript
string

Groovy script that calculates scoring groups for score change under this license

scoreScript
string

Groovy script that calculates score change value for score change under this license